Package org.apache.commons.collections4.functors

# Class NullIsFalsePredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<T>
org.apache.commons.collections4.functors.NullIsFalsePredicate<T>

Type Parameters:
  `T` - the type of the input to the predicate.

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `PredicateDecorator<T>`, `Predicate<T>`

public final class NullIsFalsePredicate<T> extends AbstractPredicate<T> implements PredicateDecorator<T>, Serializable
Predicate implementation that returns false if the input is null.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullIsFalsePredicate(Predicate<? super T> predicate)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Predicate<? super T>[]`
  `getPredicates()`
  Gets the predicate being decorated.
  `static <T> Predicate<T>`
  `nullIsFalsePredicate(Predicate<? super T> predicate)`
  Creates the null false predicate.
  `boolean`
  `test(T object)`
  Evaluates the predicate returning the result of the decorated predicate once a null check is performed.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

  ### Methods inherited from interface org.apache.commons.collections4.Predicate

  `evaluate`

- ## Constructor Details

  - ### NullIsFalsePredicate

    public NullIsFalsePredicate(Predicate<? super T> predicate)
    Constructor that performs no validation. Use `nullIsFalsePredicate` if you want that.
    Parameters:
      `predicate` - the predicate to call after the null check

- ## Method Details

  - ### nullIsFalsePredicate

    public static <T> Predicate<T> nullIsFalsePredicate(Predicate<? super T> predicate)
    Creates the null false predicate.
    Type Parameters:
      `T` - the type that the predicate queries
    Parameters:
      `predicate` - the predicate to decorate, not null
    Returns:
      the predicate
    Throws:
      `NullPointerException` - if the predicate is null

  - ### getPredicates

    public Predicate<? super T>[] getPredicates()
    Gets the predicate being decorated.
    Specified by:
      `getPredicates` in interface `PredicateDecorator<T>`
    Returns:
      the predicate as the only element in an array
    Since:
      3.1

  - ### test

    public boolean test(T object)
    Evaluates the predicate returning the result of the decorated predicate once a null check is performed.
    Specified by:
      `test` in interface `Predicate<T>`
    Specified by:
      `test` in interface `Predicate<T>`
    Parameters:
      `object` - the input object
    Returns:
      true if decorated predicate returns true, false if input is null